## org.apache.batik.css.parser
Class AbstractElementSelector

    java.lang.Object
      org.apache.batik.css.parser.AbstractElementSelector

All Implemented Interfaces:
  ElementSelector, Selector, SimpleSelector

Direct Known Subclasses:
  DefaultElementSelector, DefaultPseudoElementSelector

public abstract class AbstractElementSelector
extends java.lang.Object
implements ElementSelector

This class provides an abstract implementation of the `ElementSelector` interface.

Field Summary
`protected java.lang.String` `localName` The local name.
`protected java.lang.String` `namespaceURI` The namespace URI.

Fields inherited from interface org.w3c.css.sac.Selector
`SAC_ANY_NODE_SELECTOR, SAC_CDATA_SECTION_NODE_SELECTOR, SAC_CHILD_SELECTOR, SAC_COMMENT_NODE_SELECTOR, SAC_CONDITIONAL_SELECTOR, SAC_DESCENDANT_SELECTOR, SAC_DIRECT_ADJACENT_SELECTOR, SAC_ELEMENT_NODE_SELECTOR, SAC_NEGATIVE_SELECTOR, SAC_PROCESSING_INSTRUCTION_NODE_SELECTOR, SAC_PSEUDO_ELEMENT_SELECTOR, SAC_ROOT_NODE_SELECTOR, SAC_TEXT_NODE_SELECTOR`

Constructor Summary
`protected` `AbstractElementSelector(java.lang.String uri, java.lang.String name)` Creates a new ElementSelector object.

Method Summary
`java.lang.String` `getLocalName()` SAC: Implements `ElementSelector.getLocalName()`.
`java.lang.String` `getNamespaceURI()` SAC: Implements `ElementSelector.getNamespaceURI()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.css.sac.Selector
`getSelectorType`

Field Detail

### namespaceURI

    protected java.lang.String namespaceURI

  The namespace URI.

### localName

    protected java.lang.String localName

  The local name.

Constructor Detail

### AbstractElementSelector

    protected AbstractElementSelector(java.lang.String uri,
                                      java.lang.String name)

  Creates a new ElementSelector object.

Method Detail

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  SAC: Implements `ElementSelector.getNamespaceURI()`.

  Specified by:
    `getNamespaceURI` in interface `ElementSelector`

### getLocalName

    public java.lang.String getLocalName()

  SAC: Implements `ElementSelector.getLocalName()`.

  Specified by:
    `getLocalName` in interface `ElementSelector`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.